import 'package:flutter/material.dart';

const lightColorScheme = ColorScheme(
  brightness: Brightness.light,
  primary: Color(0xFF984800),
  onPrimary: Color(0xFFFFFFFF),
  primaryContainer: Color(0xFFFFDBC8),
  onPrimaryContainer: Color(0xFF321300),
  secondary: Color(0xFF305DA8),
  onSecondary: Color(0xFFFFFFFF),
  secondaryContainer: Color(0xFFD8E2FF),
  onSecondaryContainer: Color(0xFF001A41),
  tertiary: Color(0xFF006399),
  onTertiary: Color(0xFFFFFFFF),
  tertiaryContainer: Color(0xFFCDE5FF),
  onTertiaryContainer: Color(0xFF001D32),
  error: Color(0xFFBA1A1A),
  errorContainer: Color(0xFFFFDAD6),
  onError: Color(0xFFFFFFFF),
  onErrorContainer: Color(0xFF410002),
  background: Color(0xFFFFFBFF),
  onBackground: Color(0xFF201A17),
  surface: Color(0xFFFFFBFF),
  onSurface: Color(0xFF201A17),
  surfaceVariant: Color(0xFFF4DED3),
  onSurfaceVariant: Color(0xFF52443C),
  outline: Color(0xFF84746B),
  onInverseSurface: Color(0xFFFBEEE9),
  inverseSurface: Color(0xFF362F2B),
  inversePrimary: Color(0xFFFFB689),
  shadow: Color(0xFF000000),
  surfaceTint: Color(0xFF984800),
  outlineVariant: Color(0xFFD7C2B8),
  scrim: Color(0xFF000000),
);

const darkColorScheme = ColorScheme(
  brightness: Brightness.dark,
  primary: Color(0xFFFFB689),
  onPrimary: Color(0xFF512300),
  primaryContainer: Color(0xFF743500),
  onPrimaryContainer: Color(0xFFFFDBC8),
  secondary: Color(0xFFACC7FF),
  onSecondary: Color(0xFF002E68),
  secondaryContainer: Color(0xFF0C458E),
  onSecondaryContainer: Color(0xFFD8E2FF),
  tertiary: Color(0xFF95CCFF),
  onTertiary: Color(0xFF003352),
  tertiaryContainer: Color(0xFF004A75),
  onTertiaryContainer: Color(0xFFCDE5FF),
  error: Color(0xFFFFB4AB),
  errorContainer: Color(0xFF93000A),
  onError: Color(0xFF690005),
  onErrorContainer: Color(0xFFFFDAD6),
  background: Color(0xFF201A17),
  onBackground: Color(0xFFECE0DA),
  surface: Color(0xFF201A17),
  onSurface: Color(0xFFECE0DA),
  surfaceVariant: Color(0xFF52443C),
  onSurfaceVariant: Color(0xFFD7C2B8),
  outline: Color(0xFF9F8D83),
  onInverseSurface: Color(0xFF201A17),
  inverseSurface: Color(0xFFECE0DA),
  inversePrimary: Color(0xFF984800),
  shadow: Color(0xFF000000),
  surfaceTint: Color(0xFFFFB689),
  outlineVariant: Color(0xFF52443C),
  scrim: Color(0xFF000000),
);
